<h2>🚀 Delay Submit: Prevent Bot Attacks with Configurable Form Submission Delays</h2>

<p><strong>Delay Submit</strong> helps prevent spam and bot submissions by delaying the appearance of submit buttons on specified forms. This module allows administrators to configure different delay times for multiple forms.</p>

<h3 id="module-project--features">🛠 Features</h3>
<ul>
  <li><strong>Customizable Delays:</strong> Apply a configurable time delay before submit buttons appear.</li>
  <li><strong>Works on Any Form:</strong> Add delays to login, registration, password reset, or custom forms.</li>
  <li><strong>Fade-In Effect:</strong> Submit buttons can be smoothly revealed after the delay.</li>
  <li><strong>Easy Configuration:</strong> Set delay times per form via the admin UI.</li>
  <li><strong>Security & Spam Prevention:</strong> Prevents bots from auto-submitting forms too quickly.</li>
</ul>
<p>Use this module when you need <strong>extra security against spam bots</strong> or to <strong>throttle rapid submissions</strong> without impacting real users.</p>

<h3 id="module-project--post-installation">⚙️ Post-Installation</h3>
<p>Once installed:</p>
<ol>
  <li>Navigate to <strong>Configuration → People → Delay Submit</strong> (<code>/admin/config/people/delay-submit</code>).</li>
  <li><strong>Add form IDs</strong> for which you want to enable the delay.</li>
  <li>Set a <strong>custom delay time (in milliseconds)</strong> for each form.</li>
  <li>Save the configuration, and the submit button will be hidden and appear after the set delay.</li>
</ol>
<p>No additional setup is required—once configured, delays apply automatically.</p>

<h3 id="module-project--additional-requirements">📌 Additional Requirements</h3>
<p>This module <strong>only requires Drupal core</strong> (no external dependencies). It works on <strong>Drupal 9 and 10</strong>.</p>

<h3 id="module-project--recommended-libraries">🔗 Recommended Modules/Libraries</h3>
<ul>
  <li><strong>Honeypot</strong>: Adds an extra layer of spam prevention using hidden fields.</li>
  <li><strong>Captcha/ReCaptcha</strong>: Works well alongside this module for added security.</li>
  <li><strong>Shield</strong>: Blocks unauthorized users from accessing the site.</li>
</ul>

<h3 id="module-project--similar-projects">🔍 Similar Projects</h3>
<ul>
  <li><strong>Honeypot:</strong> Uses hidden fields instead of button delays.</li>
  <li><strong>Captcha/ReCaptcha:</strong> Requires user interaction, whereas Delay Submit is passive.</li>
  <li><strong>Rate-Limit Modules:</strong> These block repeated submissions, while Delay Submit <strong>slows initial form submissions</strong>.</li>
</ul>
<p>This module is unique because it <strong>requires no user action</strong>—it simply prevents premature submissions.</p>

<h3 id="module-project--support">💙 Supporting this Module</h3>
<p>Want to support development?<br>
Consider contributing via <strong><a href="https://www.drupal.org/project/issues/delay_submit">Drupal.org issue queue</a></strong> by:</p>
<ul>
  <li>Reporting bugs 🐞</li>
  <li>Suggesting new features 💡</li>
  <li>Reviewing patches 🔍</li>
</ul>

<h3 id="module-project--community-documentation">📚 Community Documentation</h3>
<ul>
  <li>📖 <a href="https://www.drupal.org/docs">Official Documentation (Drupal.org)</a> (Coming Soon!)</li>
  <li>📺 Video walkthroughs (Coming Soon!)</li>
</ul>
<p>For help, use the <strong>issue queue</strong> or join the <strong>Drupal Slack #contrib</strong> channel.</p>

<h2>🚀 Ready to Secure Your Forms?</h2>
<p><strong>Download & Install Delay Submit Today!</strong></p>
