document.addEventListener("DOMContentLoaded", function () {
    document.querySelectorAll("form").forEach(function (form) {
        let formId = form.getAttribute("id");
        let submitButton = form.querySelector("button[type='submit'], input[type='submit']");

        if (submitButton && drupalSettings.delay_submit && drupalSettings.delay_submit.formId === formId) {
            let delayTime = drupalSettings.delay_submit.delayTime || 2000;
            let fadeInDuration = drupalSettings.delay_submit.fadeInDuration || 1000;

            // Create the throbber element
            let throbber = document.createElement("div");
            throbber.classList.add("delay-submit-throbber");
            throbber.innerHTML = '<div class="spinner"></div>';
            submitButton.style.display = "none"; // Hide the submit button
            submitButton.style.opacity = "0"; // Prepare fade-in effect
            submitButton.style.transition = `opacity ${fadeInDuration}ms ease-in`;

            submitButton.parentNode.insertBefore(throbber, submitButton); // Insert throbber

            // Show submit button after delay
            setTimeout(() => {
                throbber.style.display = "none"; // Remove throbber
                submitButton.style.display = "inline-block"; // Show submit button
                setTimeout(() => {
                    submitButton.style.opacity = "1"; // Apply fade-in effect
                }, 50); // Small delay to trigger transition
            }, delayTime);
        }
    });
});
